package Plugins::Output;
use Text::Wrap;
# IRC output plugin
# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Output.pm,v 1.6 2005/02/11 20:46:51 digg Exp $
# handles sending text to irc channel and/or users

sub new {
	my $class = shift;
	my $connection = shift;

	my $self = {
	# that's what we use to send messages
		connection => $connection,
		prefix => undef,
	};

	bless $self, $class;
	return $self;
}

sub set_prefix {
	my $self = shift;
	my $prefix = shift;
	$self->{'prefix'} = $prefix . ": ";
}

sub send {
	my $self = shift;
	my $target = shift;
	$Text::Wrap::columns = 300;
	my @msg = wrap("","",@_);

	my @lines = split /\n/ => $self->{'prefix'} . join "" => @msg;

	foreach (@lines)
	{
		$self->{'connection'}->privmsg($target,$_);
	};

	# zero out the prefix
	$self->{'prefix'} = undef;
}


1;
