# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Uptime/Plugin.pm,v 1.2 2003/08/07 09:35:29 duke9 Exp $
# Uptime plugin
#
package Uptime;
use BotCore;
use vars qw(@ISA);
@ISA = qw(BotCore);

sub new {
	my $class = shift;
	my $core = shift;
	my $self = {
		core => $core,
	};
	bless $self, $class;
}

sub get_id {
	my $class = shift;
	return "Uptime";
}

sub get_msg_handlers {
	my $class = shift;
	return ( "!uptime"     =>
			{"action"       => "get_uptime",
			"restricted"   => 0,
			"level" => 0},
	);

};

sub get_uptime {
	my $self = shift;
	my $event = pop @_;
	my $msg;
	my $uptime = $self->{'core'}->{'config'}->{'uptime_location'};
	if ( open F,"$uptime |")
	{
		my @flines = <F>;
		close F;
		foreach(@flines) {
			s/^\s+//;
			s/\s+$//;
			$msg .= $_ . "\n";
		};
	};
	$self->{'core'}->queue($event,$msg);
}

1;
