# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Country/Plugin.pm,v 1.2 2003/12/21 18:48:45 duke9 Exp $
# tries to convert a tld (Top Level Domain) code to the name of the country that code has been assigned
# to
package Country;

sub new {
	my $class = shift;
	my $core = shift;

	my $self = {
		core => $core,
	};
	bless $self, $class;
}

sub get_id {
	my $class = shift;
	return "Country";
}

sub get_msg_handlers {
	my $class = shift;
	return ( "!country"     =>
			{"action"       => "get_country",
			"restricted"   => 0, },
	);

};

sub get_country {
	my $self = shift;
	my $event = pop @_;
	my $ccode = uc shift;
	my $msg;
	my $country = "";
	
	open F,"<data/countries.txt" or die "cannot open: $!";
	foreach (<F>)
	{
		my ($code,$name) = split /\t/;
		if ($code eq $ccode)
		{
			$country = $name;
		};

	};
	close F;

	if ($country)
	{
		$msg = sprintf("%s - %s",$ccode,$country);
	}
	else
	{
		$msg = sprintf("%s - %s",$ccode,"Tundmatu kood");
	};
	$self->{'core'}->queue($event,$msg);
}

1;
