package Date;
# date/time functions
# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Date/Plugin.pm,v 1.4 2004/03/30 20:37:05 duke9 Exp $
sub new
{
	my $class = shift;
	my $core = shift;
	my $self =
	{
		core => $core,
	};
	bless $self, $class;
}

sub get_id
{
	my $class = shift;
	return "Date";
}

sub get_msg_handlers
{
	my $class = shift;
	return (
		"!tm" =>
		{
			"action"	=> "do_tm",
			"restricted"	=> 0,
		},
		"!kell" =>
		{
			"action"	=> "do_kell",
			"restricted"	=> 0,
		},
	);

}

# converts timestamp to human readable date
sub do_tm
{
	my $self = shift;
	my $event = pop @_;
	my $msg;
        my $a = join(" ",@_);
	$a = time unless length $a;
        my $time = scalar localtime($a);
       $self->{'core'}->queue($event,"$a = $time");
	
}

sub do_kell
{
	my $self = shift;
	my $event = pop @_;
	my $msg;
	($sec,$min,$hour) = localtime;
	$self->{'core'}->queue($event,"$hour:$min");
	
}

1;
