package Kernel;
use BotCore;
use vars qw(@ISA);
@ISA = qw(BotCore);
# Kernel news plugin
# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Kernel/Plugin.pm,v 1.13 2004/03/30 20:37:06 duke9 Exp $

sub new {
	my $class = shift;
	my $core = shift;
	my $self = {
		core => $core,
	};
	bless $self, $class;
}

sub get_id {
	my $class = shift;
	return "Kernel";
}

sub get_msg_handlers {
	my $class = shift;
	return ( "!kernel"     =>
			{"action"       => "get_info",
			"restricted"   => 0, },
	);

};

sub get_info {
	my $self = shift;
	my $event = pop @_;
	# the kernel file is kept up to date by an external script
	my $msg;
	my $fullname = $self->{'core'}->{'config'}->{'basedir'} . "/cache/kernel";
	if (open K,"<$fullname")
	{
		my @klines = <K>;
		close K;
		foreach (@klines) {
			s/^\s*//;
			$self->{'core'}->{'connection'}->notice($event->nick,$_);
			$msg .= $_ . "\n";
		};
	}
	else
	{
		print $! . "\n";
	};
	shift @{$event->to};
	unshift @{$event->to},$event->nick;
	#$self->{'core'}->queue($event,$msg);
}

1;
