package Plugins::Log;
# Logging plugin
# $Header: /cvsroot/tuxaator/tuxaator/Plugins/Log.pm,v 1.1 2001/10/19 00:26:23 duke9 Exp $
use IO::File;

sub new {
	my $class = shift;
	my $logdir = shift;

	my $logfile = $logdir . "/tuxaator.log";
	my $loghandle = new IO::File "$logfile","a";
	# that's what we use to send messages
	my $self = {
		logfile => $logfile,
		loghandle => $loghandle,
	};

	print "LOG: Logging to " . $self->{'logfile'} . "\n";

	my $ts = &_get_timestamp();
	$self->{'loghandle'}->print("Log started at $ts\n");
	#
	#$loghandle->print("Log started at $ts\n");

	bless $self,$class;
	#return $self;
}

sub _log {
	my $self = shift;
	my $nick = shift;
	my $message = shift;
	my $logline = sprintf "%s <%s> %s\n",&_get_timestamp,$nick,$message; 
	$self->{'loghandle'}->print($logline);
	$self->{'loghandle'}->flush();
}

sub _get_timestamp {
	my ($sec,$min,$hour) = localtime;
	return sprintf "%02d:%02d:%02d",$hour,$min,$sec;
}

1;
