#!/bin/sh

# Script for connecting Tetrinet server and finding out who is connected.

# Created by cougar <cougar@random.ee>
# Slightly modified by am88b <am88b@linux.ee>

IP="tetrinet.version6.net"
test "$1" != "" && IP="$1"
IFS='
'
for line in `echo "listuser
" | netcat $IP 31457`
do
	echo "$line" | grep '^+OK$' > /dev/null && continue
	line="`echo $line | cut -d'"' -f2`"
	users="$users, $line"
done
if [ "$users" = "" ]; then
	echo "$IP: pole seal kedagi"
else
	users="`echo $users | sed 's/^, //'`"
	echo "$IP: $users"
fi

