package Weather;

# Configuration
# (FIXME: should go to central configuration infrastructure)

our $cachedir = "/home/tux/tuxaator/cache";

# Code

sub new {
	my $class = shift;
	my $core = shift;
	my $self = {
		core => $core,
	};
	bless $self, $class;
}

sub get_id {
	my $class = shift;
	return "Weather";
}

sub get_msg_handlers {
	my $class = shift;
	return ( 
		"!ilm"     =>
			{"action"       => "do_ilm",
			"restricted"   => 0,
			},
	);

};

sub do_ilm {
	my $self = shift;
	my $event = pop @_;
	my $msg = join " " => @_;
	# anwer goes to the channel, otherwise it doesnt make too much sense
	open F, "<$cachedir/ee-ilm.txt";
	my @lines = <F>;
	my $ilm = join(', ',map "$_" => @lines);
	$ilm =~ s/\n//g;
	close F;
	$self->{'core'}->queue($event,$ilm);
}

sub do_plan {
	my $self = shift;
	my $event = pop @_;
	my $msg = join " " => @_;
	my $res = "1) $msg\n";
	$res .= "2) ...\n";
	my @phases = ('kik p*rses','make profit','rige kasum','sitaks lut','rule the world','ilus elu','lihtsalt masendav','ulmeline aldaris'); 
	$res .= "3) " . $phases[ rand scalar @phases ];
	# anwer goes to the channel, otherwise it doesnt make too much sense
	$event->to($self->{'core'}->{'config'}->{'channel'});
	$self->{'core'}->queue($event,$res);
}

sub do_emote {
	my $self = shift;
	my $event = pop @_;
	my $msg = join " " => @_;
	# anwer goes to the channel, otherwise it doesnt make too much sense
	$event->to($self->{'core'}->{'config'}->{'channel'});
	$self->{'core'}->{'connection'}->me($self->{'core'}->{'config'}->{'channel'},$msg);
}


1;
