-- MySQL dump 8.22
--
-- Host: localhost    Database: tuxaator
---------------------------------------------------------
-- Server version	3.23.51-log

--
-- Table structure for table 'terms'
--

CREATE TABLE `terms` (
  `term` varchar(60) NOT NULL default '',
  `story` text,
  `counter` int(10) unsigned default '0',
  `nick` varchar(50) NOT NULL default '',
  `userhost` varchar(200) NOT NULL default '',
  `changed` datetime NOT NULL default '0000-00-00 00:00:00',
  `id` bigint(20) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `term` (`term`)
) TYPE=MyISAM;

--
-- table structure for table 'history'
--

CREATE TABLE `history` (
  `term` varchar(60) NOT NULL default '',
  `story` text,
  `counter` int(10) unsigned default '0',
  `nick` varchar(50) NOT NULL default '',
  `userhost` varchar(200) NOT NULL default '',
  `changed` datetime NOT NULL default '0000-00-00 00:00:00',
  `history` int(11) default '1',
  `operation` smallint(6) default '1',
  `id` bigint(20) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `term` (`term`)
) TYPE=MyISAM

--
-- table structure for table 'users'
--

 CREATE TABLE `users` (
  `nick` char(50) NOT NULL default '',
  `timestamp` timestamp(14) NOT NULL,
  `status` tinyint(4) NOT NULL default '0',
  `lastmsg` char(255) NOT NULL default '',
  UNIQUE KEY `nick` (`nick`)
) TYPE=MyISAM;
--
-- Table structure for table 'wanted'
--

CREATE TABLE wanted (
  term char(60) NOT NULL default '',
  count bigint(20) unsigned default '0',
  UNIQUE KEY term (term)
) TYPE=MyISAM;

